Update memory context data
curl --request POST \
--url https://platform-backend.getalchemystai.com/api/v1/context/memory/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "support-thread-TCK-1234",
"contents": [
{
"content": "Customer asked about pricing for the Scale plan.",
"metadata": {
"messageId": "msg-1"
},
"role": "user",
"id": "msg-1",
"createdAt": "2025-01-10T12:34:56.000Z"
},
{
"content": "Updated answer about the Scale plan pricing after discounts.",
"metadata": {
"messageId": "msg-2"
},
"role": "assistant",
"id": "msg-2",
"createdAt": "2025-01-10T12:36:00.000Z"
}
]
}
'import requests
url = "https://platform-backend.getalchemystai.com/api/v1/context/memory/update"
payload = {
"sessionId": "support-thread-TCK-1234",
"contents": [
{
"content": "Customer asked about pricing for the Scale plan.",
"metadata": { "messageId": "msg-1" },
"role": "user",
"id": "msg-1",
"createdAt": "2025-01-10T12:34:56.000Z"
},
{
"content": "Updated answer about the Scale plan pricing after discounts.",
"metadata": { "messageId": "msg-2" },
"role": "assistant",
"id": "msg-2",
"createdAt": "2025-01-10T12:36:00.000Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: 'support-thread-TCK-1234',
contents: [
{
content: 'Customer asked about pricing for the Scale plan.',
metadata: {messageId: 'msg-1'},
role: 'user',
id: 'msg-1',
createdAt: '2025-01-10T12:34:56.000Z'
},
{
content: 'Updated answer about the Scale plan pricing after discounts.',
metadata: {messageId: 'msg-2'},
role: 'assistant',
id: 'msg-2',
createdAt: '2025-01-10T12:36:00.000Z'
}
]
})
};
fetch('https://platform-backend.getalchemystai.com/api/v1/context/memory/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"memory_id": "support-thread-TCK-1234",
"updated_entries": 2
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}Endpoint examples
Update memory context data
This endpoint updates memory context data.
POST
/
api
/
v1
/
context
/
memory
/
update
Update memory context data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

